List all documents
curl --request GET \
--url https://production.hifibridge.com/v2/users/{userId}/kyc/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://production.hifibridge.com/v2/users/{userId}/kyc/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://production.hifibridge.com/v2/users/{userId}/kyc/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 2,
"data": [
{
"id": "7c9439f6-655b-4aeb-9b32-e17759ee9134",
"type": "CERTIFICATE_OF_INCORPORATION",
"subType": "SINGLE_SIDE",
"issuedCountry": "USA",
"issuedDate": null,
"expiryDate": null,
"number": null,
"description": null,
"url": "https://example.com/doc_123",
"fileId": "file_zEFpbPhk71NaQfEVMR544",
"uboId": null
},
{
"id": "7a9dc485-3216-47fd-baa4-a7ab4085b723",
"type": "PASSPORT",
"subType": "SINGLE_SIDE",
"issuedCountry": "USA",
"issuedDate": null,
"expiryDate": null,
"number": null,
"description": null,
"url": "https://example.com/doc_123",
"fileId": "file_zEFpbPhk71NaQfEVMR544",
"uboId": "3285c3be-ef36-4f01-bf95-578d3116f0ff"
}
]
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}KYC
List all documents
Get all documents associated with the user.
GET
/
v2
/
users
/
{userId}
/
kyc
/
documents
List all documents
⌘I